# cd SOURCES && spectool -g SPECS/zproxy.spec 
# cd .. && rpmbuild -bs SPECS/zproxy.spec
# mock --rebuild SRPMS/zproxy-{LATEST_VERSION}.src.rpm

%global _hardened_build 1

# Filter provides
# %%global __provides_exclude_from ^%%{_libdir}/%%{name}/.*$

Name:           nftlb
Version:        1.0.8
Release:        1%{?dist}
Summary:        A nftables load balancer

%global commit 795e14af30009d78af5bbc3e5bcfb26d23a887da
%global gittag v1.0.8
%global shortcommit %(c=%{commit}; echo ${c:0:7})

License:        AGPLv3+
#Source-License:        AGPLv3 and GPL-3.0-or-later and GPL-2.0-only
URL:            https://github.com/zevenet/nftlb
Source0:        https://github.com/zevenet/nftlb/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:        nftlb.1

#BuildRequires:  autoconf automake libtool m4 sysconftool gcc-c++ kernel-headers nftables-devel libev-devel jansson-devel libmnl-devel
BuildRequires:  autoconf automake libtool gcc-c++ kernel-headers nftables-devel libev-devel jansson-devel libmnl-devel

#Requires:       

%description
  nftlb stands for nftables load balancer, the next generation linux firewall
  that replaces iptables, is adapted to behave as a complete load balancer and
  traffic distributor.
  .
  nftlb is provided with a JSON API, so you can use your preferred health
  checker to enable/disable backends or virtual services and automate processed
  with it.
  .
  The nftables framework used for load balancing can outperform typical LVS
  deployments by 10x.


%prep
%autosetup -n %{name}-%{commit} -p 1


%build
# Clean up the zcutils/src directory
cd zcutils/src
rm *.o
cd ../..

autoreconf -fi
%configure
%make_build


%install
%make_install

mkdir -p %{buildroot}/%{_mandir}/man1/
cp -p %{SOURCE1}  %{buildroot}/%{_mandir}/man1/

%files
%license LICENSE
%doc README.md
/usr/sbin/nftlb
/usr/share/man/man1/nftlb.*


%changelog
* Thu Jun 01 2023 Bussi Andrea <btabta at gmail.com> - 1.0.8-1
- Initial package.
